Subject: bug#23726: emacs 25.0.94 crashes

From: Florian Weimer <[email-masked]>
Date: Wed, 8 Jun 2016 20:52:42 +0200

On 06/08/2016 08:34 PM, Florian Weimer wrote:

> The problem is that the realloc implementation for dumped chunks is
> incorrect; that bit is already in glibc master and rawhide.  I think I
> can see what is wrong: The size computation for the old chunk size in
> realloc is wrong, and the trailing sizeof (size_t) bytes are not copied.
>  Fortunately, it's not a conceptual problem with the heap rewriter.

glibc patch posted:

   https://sourceware.org/ml/libc-alpha/2016-06/msg00261.html

The same dumped binary crashes before this patch is applied, and works 
afterwards.

Jan, thanks for reporting this.

Florian